/*
 * @FilePath: index.ts
 * @Author: 小飞侠
 * @Date: 2025-03-17 09:36:48
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2025-03-18 10:10:00
 * Copyright: 2025  MinTinge CO.,LTD. All Rights Reserved.
 * @Descripttion: 写入你的描述
 */
import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: ()=>import('@/views/cylsgPayrollReport.vue'),
    },
    {
      path: '/Report',
      name: 'Report',
      component: HomeView,
    },
    {
      path: '/about',
      name: 'about',
      // route level code-splitting
      // this generates a separate chunk (About.[hash].js) for this route
      // which is lazy-loaded when the route is visited.
      component: () => import('../views/AboutView.vue'),
    },
  ],
})

export default router
